---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:31Z"
    creationTimestamp: "2025-10-27T11:42:43Z"
    labels:
      app.kubernetes.io/component: alert-router
      app.kubernetes.io/instance: main
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: alertmanager
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 0.28.1
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:31Z"
    name: alertmanager-main
    namespace: openshift-monitoring
    resourceVersion: "45999"
    uid: cf68f2d2-3ed1-4b51-a264-e405b87354e3
  subsets:
  - addresses:
    - ip: 10.128.0.37
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-0
        namespace: openshift-monitoring
        uid: b1cfd6bd-e5e7-4c61-b4c3-fd80e0760ec7
    - ip: 10.130.0.58
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-1
        namespace: openshift-monitoring
        uid: fa8cf6b2-26ff-46a2-8752-fa340cb1f002
    ports:
    - name: web
      port: 9095
      protocol: TCP
    - name: metrics
      port: 9097
      protocol: TCP
    - name: tenancy
      port: 9092
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:01Z"
    creationTimestamp: "2025-10-27T11:42:44Z"
    labels:
      managed-by: prometheus-operator
      operated-alertmanager: "true"
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:managed-by: {}
            f:operated-alertmanager: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:07Z"
    name: alertmanager-operated
    namespace: openshift-monitoring
    resourceVersion: "45507"
    uid: f279abae-0101-4acd-a431-937f345973b8
  subsets:
  - addresses:
    - hostname: alertmanager-main-0
      ip: 10.128.0.37
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-0
        namespace: openshift-monitoring
        uid: b1cfd6bd-e5e7-4c61-b4c3-fd80e0760ec7
    - hostname: alertmanager-main-1
      ip: 10.130.0.58
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: alertmanager-main-1
        namespace: openshift-monitoring
        uid: fa8cf6b2-26ff-46a2-8752-fa340cb1f002
    ports:
    - name: web
      port: 9095
      protocol: TCP
    - name: udp-mesh
      port: 9094
      protocol: UDP
    - name: tcp-mesh
      port: 9094
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:04Z"
    creationTimestamp: "2025-10-27T11:18:43Z"
    labels:
      app.kubernetes.io/name: cluster-monitoring-operator
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/name: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:04Z"
    name: cluster-monitoring-operator
    namespace: openshift-monitoring
    resourceVersion: "45297"
    uid: 8ab2f520-0421-4fad-8872-57623c29cd43
  subsets:
  - addresses:
    - ip: 10.130.0.39
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: cluster-monitoring-operator-767bd5899-bl6fg
        namespace: openshift-monitoring
        uid: e3158cdf-22c1-48ab-81cc-81e59eaeea49
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:18:06Z"
    creationTimestamp: "2025-10-27T11:32:27Z"
    labels:
      app.kubernetes.io/component: exporter
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: kube-state-metrics
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 2.15.0
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:18:06Z"
    name: kube-state-metrics
    namespace: openshift-monitoring
    resourceVersion: "39634"
    uid: 11db3984-ebb3-478b-91f7-c7d437bae476
  subsets:
  - addresses:
    - ip: 10.128.0.45
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-state-metrics-5df56774d9-rl56l
        namespace: openshift-monitoring
        uid: 387c4774-860f-40d3-97bb-f41df4e36761
    ports:
    - name: https-main
      port: 8443
      protocol: TCP
    - name: https-self
      port: 9443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T11:17:59Z"
    creationTimestamp: "2025-10-27T11:32:28Z"
    labels:
      app.kubernetes.io/component: metrics-server
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: metrics-server
      app.kubernetes.io/part-of: openshift-monitoring
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T11:17:59Z"
    name: metrics-server
    namespace: openshift-monitoring
    resourceVersion: "1003581"
    uid: 1d0e69e1-7848-4bb0-be28-0e770956b15c
  subsets:
  - addresses:
    - ip: 10.128.1.48
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: metrics-server-5886ffcb6c-w2jbm
        namespace: openshift-monitoring
        uid: b0839999-5787-47d8-a865-211a37695d37
    - ip: 10.129.1.192
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: metrics-server-5886ffcb6c-d7lg4
        namespace: openshift-monitoring
        uid: 564790ff-6abd-4c4c-a569-26d16f999401
    ports:
    - name: https
      port: 10250
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:06Z"
    creationTimestamp: "2025-10-27T11:40:25Z"
    labels:
      app.kubernetes.io/component: monitoring-plugin
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: monitoring-plugin
      app.kubernetes.io/part-of: openshift-monitoring
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:06Z"
    name: monitoring-plugin
    namespace: openshift-monitoring
    resourceVersion: "45455"
    uid: 02586d18-07e1-4f22-bd3e-a3459aedcc48
  subsets:
  - addresses:
    - ip: 10.128.0.34
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: monitoring-plugin-68456548c-6c9db
        namespace: openshift-monitoring
        uid: a7c94ff9-b2ab-4b67-8901-617af12dd652
    - ip: 10.130.0.54
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: monitoring-plugin-68456548c-ztbqc
        namespace: openshift-monitoring
        uid: df29492a-f67b-4ad0-8405-f8577dabc2a4
    ports:
    - name: https
      port: 9443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:37:22Z"
    creationTimestamp: "2025-10-27T11:32:27Z"
    labels:
      app.kubernetes.io/component: exporter
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: node-exporter
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 1.9.1
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:37:22Z"
    name: node-exporter
    namespace: openshift-monitoring
    resourceVersion: "48607"
    uid: fdc14946-c07e-4766-b9c4-fddf0c9b14ba
  subsets:
  - addresses:
    - ip: 10.46.248.134
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-m76df
        namespace: openshift-monitoring
        uid: 148a2f21-6dab-4c63-8ffb-bacfabf1e6c3
    - ip: 10.46.248.41
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-2fs9f
        namespace: openshift-monitoring
        uid: 8ddf7ea2-34e7-48da-a0fb-1f9c4417efdc
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: node-exporter-ndgq7
        namespace: openshift-monitoring
        uid: 98452215-dc2f-4da9-94ba-acdb4b7686b8
    ports:
    - name: https
      port: 9100
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:18:03Z"
    creationTimestamp: "2025-10-27T11:32:27Z"
    labels:
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/part-of: openshift-monitoring
      k8s-app: openshift-state-metrics
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:k8s-app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:18:03Z"
    name: openshift-state-metrics
    namespace: openshift-monitoring
    resourceVersion: "39495"
    uid: 7eec1f0d-db94-43fa-94aa-316122e3ef19
  subsets:
  - addresses:
    - ip: 10.128.0.40
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: openshift-state-metrics-5f6d67f6df-gvj8j
        namespace: openshift-monitoring
        uid: 83295ed3-8f80-422b-8ffc-d44face43b19
    ports:
    - name: https-main
      port: 8443
      protocol: TCP
    - name: https-self
      port: 9443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T09:44:31Z"
    creationTimestamp: "2025-10-27T11:42:45Z"
    labels:
      app.kubernetes.io/component: prometheus
      app.kubernetes.io/instance: k8s
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: prometheus
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 3.2.1
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T09:44:31Z"
    name: prometheus-k8s
    namespace: openshift-monitoring
    resourceVersion: "931906"
    uid: 82bd9e43-60f3-41c4-88f2-937086834da2
  subsets:
  - addresses:
    - ip: 10.128.0.46
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-0
        namespace: openshift-monitoring
        uid: 2c90a8b5-73a1-4f57-a3d9-cae83fb7aadf
    - ip: 10.130.0.59
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-1
        namespace: openshift-monitoring
        uid: 70704b39-f754-425a-bd73-6b13eada1e0f
    ports:
    - name: metrics
      port: 9092
      protocol: TCP
    - name: web
      port: 9091
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T09:44:31Z"
    creationTimestamp: "2025-10-27T11:42:45Z"
    labels:
      app.kubernetes.io/component: thanos-sidecar
      app.kubernetes.io/instance: k8s
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: prometheus
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 3.2.1
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T09:44:31Z"
    name: prometheus-k8s-thanos-sidecar
    namespace: openshift-monitoring
    resourceVersion: "931908"
    uid: 7c9d1fa6-cf7b-435e-86f1-e012a4e82ad5
  subsets:
  - addresses:
    - ip: 10.128.0.46
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-0
        namespace: openshift-monitoring
        uid: 2c90a8b5-73a1-4f57-a3d9-cae83fb7aadf
    - ip: 10.130.0.59
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-1
        namespace: openshift-monitoring
        uid: 70704b39-f754-425a-bd73-6b13eada1e0f
    ports:
    - name: thanos-proxy
      port: 10903
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T09:44:31Z"
    creationTimestamp: "2025-10-27T11:42:49Z"
    labels:
      managed-by: prometheus-operator
      operated-prometheus: "true"
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:managed-by: {}
            f:operated-prometheus: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T09:44:31Z"
    name: prometheus-operated
    namespace: openshift-monitoring
    resourceVersion: "931911"
    uid: 22380c7a-dae9-4831-a29a-f8b8a50cb76f
  subsets:
  - addresses:
    - hostname: prometheus-k8s-0
      ip: 10.128.0.46
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-0
        namespace: openshift-monitoring
        uid: 2c90a8b5-73a1-4f57-a3d9-cae83fb7aadf
    - hostname: prometheus-k8s-1
      ip: 10.130.0.59
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-k8s-1
        namespace: openshift-monitoring
        uid: 70704b39-f754-425a-bd73-6b13eada1e0f
    ports:
    - name: web
      port: 9091
      protocol: TCP
    - name: grpc
      port: 10901
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:14Z"
    creationTimestamp: "2025-10-27T11:32:12Z"
    labels:
      app.kubernetes.io/component: controller
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: prometheus-operator
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 0.81.0
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:14Z"
    name: prometheus-operator
    namespace: openshift-monitoring
    resourceVersion: "45757"
    uid: e6d137ad-88ac-4a9b-b82e-be99638853f6
  subsets:
  - addresses:
    - ip: 10.130.0.53
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-operator-5bf84fb8cf-fm2vr
        namespace: openshift-monitoring
        uid: cd4b94db-b51d-4798-978c-763123961007
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:27:59Z"
    creationTimestamp: "2025-10-27T11:31:46Z"
    labels:
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: prometheus-operator-admission-webhook
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 0.81.0
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:27:59Z"
    name: prometheus-operator-admission-webhook
    namespace: openshift-monitoring
    resourceVersion: "44886"
    uid: a0bdf852-7e63-431c-9941-3d5c5c4044c5
  subsets:
  - addresses:
    - ip: 10.128.0.24
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-operator-admission-webhook-5fc75b4846-mqvpp
        namespace: openshift-monitoring
        uid: 1610ce7f-c0e2-4220-81b2-4a1094799275
    - ip: 10.130.0.42
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: prometheus-operator-admission-webhook-5fc75b4846-96cnb
        namespace: openshift-monitoring
        uid: 1f1e9d4c-d1c6-45e8-9446-43607e6f9499
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:18:04Z"
    creationTimestamp: "2025-10-27T11:37:35Z"
    labels:
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/part-of: openshift-monitoring
      k8s-app: telemeter-client
      service.kubernetes.io/headless: ""
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/part-of: {}
            f:k8s-app: {}
            f:service.kubernetes.io/headless: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:18:04Z"
    name: telemeter-client
    namespace: openshift-monitoring
    resourceVersion: "39549"
    uid: 5147989b-2bcf-41f3-a123-f13e4d0b2821
  subsets:
  - addresses:
    - ip: 10.128.0.41
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: telemeter-client-7fd9df4b85-k6bp6
        namespace: openshift-monitoring
        uid: 1401b0c3-1910-48d9-90e0-bb61c37ec973
    ports:
    - name: https
      port: 8443
      protocol: TCP
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-27T12:28:11Z"
    creationTimestamp: "2025-10-27T11:32:27Z"
    labels:
      app.kubernetes.io/component: query-layer
      app.kubernetes.io/instance: thanos-querier
      app.kubernetes.io/managed-by: cluster-monitoring-operator
      app.kubernetes.io/name: thanos-query
      app.kubernetes.io/part-of: openshift-monitoring
      app.kubernetes.io/version: 0.37.2
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:labels:
            .: {}
            f:app.kubernetes.io/component: {}
            f:app.kubernetes.io/instance: {}
            f:app.kubernetes.io/managed-by: {}
            f:app.kubernetes.io/name: {}
            f:app.kubernetes.io/part-of: {}
            f:app.kubernetes.io/version: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T12:28:11Z"
    name: thanos-querier
    namespace: openshift-monitoring
    resourceVersion: "45621"
    uid: e39e7d59-3cc0-4540-8c4b-ee5560326a4e
  subsets:
  - addresses:
    - ip: 10.128.0.25
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: thanos-querier-b546c457c-xj6j7
        namespace: openshift-monitoring
        uid: f373af6c-0482-4118-b6b8-8d69fd3e6625
    - ip: 10.130.0.47
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: thanos-querier-b546c457c-s4rt6
        namespace: openshift-monitoring
        uid: 81f8c1f0-af60-4610-95a4-613600d17a0c
    ports:
    - name: tenancy-rules
      port: 9093
      protocol: TCP
    - name: tenancy
      port: 9092
      protocol: TCP
    - name: metrics
      port: 9094
      protocol: TCP
    - name: web
      port: 9091
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2219894"
